Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.io.nquads
Class NQuadsParser

    java.lang.Object
      org.openrdf.rio.helpers.RDFParserBase
          org.apache.any23.io.nquads.NQuadsParser

All Implemented Interfaces:
  org.openrdf.rio.RDFParser

    public class NQuadsParser

extends org.openrdf.rio.helpers.RDFParserBase

N-Quads parser implementation based on the `RDFParser` interface. See the format specification here.

Author:
  Michele Mostarda (mostarda@fbk.eu)
See Also:
  `RDFParser`

Nested Class Summary

Nested classes/interfaces inherited from interface org.openrdf.rio.RDFParser
`org.openrdf.rio.RDFParser.DatatypeHandling`

Constructor Summary
`NQuadsParser()`

Method Summary
`org.openrdf.rio.RDFFormat` | `getRDFFormat()`
`void` | `parse(InputStream is, String baseURI)`
`void` | `parse(Reader reader, String s)`

Methods inherited from class org.openrdf.rio.helpers.RDFParserBase
`clear, clearBNodeIDMap, createBNode, createBNode, createLiteral, createStatement, createStatement, createURI, datatypeHandling, getNamespace, getParseErrorListener, getParseLocationListener, getParserConfig, getRDFHandler, isValidLanguageTag, preserveBNodeIDs, reportError, reportError, reportFatalError, reportFatalError, reportFatalError, reportFatalError, reportLocation, reportWarning, reportWarning, resolveURI, setBaseURI, setBaseURI, setDatatypeHandling, setNamespace, setParseErrorListener, setParseLocationListener, setParserConfig, setPreserveBNodeIDs, setRDFHandler, setStopAtFirstError, setValueFactory, setVerifyData, stopAtFirstError, verifyData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NQuadsParser

    public NQuadsParser()

Method Detail

### getRDFFormat

    public org.openrdf.rio.RDFFormat getRDFFormat()

### parse

    public void parse(Reader reader,
                      String s)
               throws IOException,
                      org.openrdf.rio.RDFParseException,
                      org.openrdf.rio.RDFHandlerException

  Throws:
    `IOException`
    `org.openrdf.rio.RDFParseException`
    `org.openrdf.rio.RDFHandlerException`

### parse

    public void parse(InputStream is,
                      String baseURI)
               throws IOException,
                      org.openrdf.rio.RDFParseException,
                      org.openrdf.rio.RDFHandlerException

  Throws:
    `IOException`
    `org.openrdf.rio.RDFParseException`
    `org.openrdf.rio.RDFHandlerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.